import sharp from 'sharp';
import { promises } from 'fs';
class AbstractCompressor {
    constructor(quality) {
        this.quality = quality;
        this.sharp = sharp;
        this.promises = promises;
    }
    getOutputPath(path, format) {
        return path.replace(/\.[^.]+$/, format);
    }
    async writingCompressedFile({ outputPath, buffer }) {
        await this.promises.writeFile(outputPath, buffer);
    }
}
export default AbstractCompressor;
